base class for all basic write request classes (DeleteItem, PutItem, UpdateItem

### Type parameters

- #### T

- #### I: DeleteItemInput | PutItemInput | UpdateItemInput

- #### R: WriteRequest<T, I, R>

### Hierarchy

- StandardRequest<T, I, R>
  - WriteRequest
    - DeleteRequest
    - PutRequest
    - UpdateRequest

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params
- tableName

### Methods

- exec
- execFullResponse
- onlyIf
- onlyIfAttribute
- returnConsumedCapacity
- returnItemCollectionMetrics
- returnValues

## Constructors

### Protected constructor

- new WriteRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): WriteRequest

- Overrides StandardRequest.constructor

  - Defined in dynamo/request/write.request.ts:20

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns WriteRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

Inherited from BaseRequest.dynamoRx

- Defined in dynamo/request/base.request.ts:28

### metadata

metadata: Metadata<T>

Inherited from BaseRequest.metadata

- Defined in dynamo/request/base.request.ts:30

### modelClazz

modelClazz: ModelConstructor<T>

Inherited from BaseRequest.modelClazz

- Defined in dynamo/request/base.request.ts:29

### params

params: I

Inherited from BaseRequest.params

- Defined in dynamo/request/base.request.ts:32

### tableName

tableName: string

Inherited from BaseRequest.tableName

- Defined in dynamo/request/base.request.ts:31

## Methods

### exec

- exec(): Observable<void>

- Overrides StandardRequest.exec

  - Defined in dynamo/request/write.request.ts:54

  #### Returns Observable<void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- Inherited from StandardRequest.execFullResponse

  - Defined in dynamo/request/standard.request.ts:28

  #### Returns Observable<any>

### onlyIf

- onlyIf(...conditionDefFns: ConditionExpressionDefinitionFunction[]): R

- - Defined in dynamo/request/write.request.ts:39
  example

    writeRequest.onlyIf( attribute('age').eq(23) )

  example

    writeRequest.onlyIf( or( attribute('age').lt(18), attribute('age').gt(65) ) )

  #### Parameters

  - ##### Rest ...conditionDefFns: ConditionExpressionDefinitionFunction[]

  #### Returns R

### onlyIfAttribute

- onlyIfAttribute<K>(attributePath: K): RequestConditionFunction<R, T, K>

- - Defined in dynamo/request/write.request.ts:30

  #### Type parameters

  - #### K: keyof T

  #### Parameters

  - ##### attributePath: K

  #### Returns RequestConditionFunction<R, T, K>

### returnConsumedCapacity

- returnConsumedCapacity(level: DynamoDB.ReturnConsumedCapacity): R

- Inherited from BaseRequest.returnConsumedCapacity

  - Defined in dynamo/request/base.request.ts:53

  #### Parameters

  - ##### level: DynamoDB.ReturnConsumedCapacity

  #### Returns R

### returnItemCollectionMetrics

- returnItemCollectionMetrics(returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics): R

- - Defined in dynamo/request/write.request.ts:25

  #### Parameters

  - ##### returnItemCollectionMetrics: DynamoDB.ReturnItemCollectionMetrics

  #### Returns R

### returnValues

- returnValues(returnValues: "NONE" | "ALL_OLD"): R

- - Defined in dynamo/request/write.request.ts:49

  #### Parameters

  - ##### returnValues: "NONE" | "ALL_OLD"

  #### Returns R

Generated using TypeDoc